Ext.require(['Ext.form.*']);

Ext.onReady(function() {

	 Ext.create('Ext.form.Panel', {
		title: 'Book Info',
		renderTo: 'form-example',
		width: 300,
        bodyPadding: 5,
        fieldDefaults: {
            labelAlign: 'left',
            labelWidth: 90,
            anchor: '100%'
        },
		items: [{
            xtype: 'hiddenfield',
            name: 'bookId'
        },{
            xtype: 'textfield',
            name: 'bookName',
            fieldLabel: 'Name'
        },{
            xtype: 'textfield',
            name: 'bookAuthor',
            fieldLabel: 'Author'
        }],
        buttons: [{
            text: 'Load',
            handler: function() {
                var form = this.up('form').getForm();
                form.load({
            		url: 'data/form.json',
            		failure: function(form, action) {
            			Ext.Msg.alert("Load failed", action.result.errorMessage);
            		}
            	});
            }
        },{
			text: 'Submit',
			handler: function() {
				var form = this.up('form').getForm();
				form.submit({
					url: 'form-submit.php',
					waitMsg: 'Sending the info...',
					success: function(fp, o) {
						Ext.Msg.alert('Success', 'Form submitted.');
							}
					});
					}
			}]
		});
});